Bug 801566 - [abrt] kernel: WARNING: at lib/list_debug.c:26 __list_add+0x6d/0xa0()
[abrt] kernel: WARNING: at lib/list_debug.c:26 __list_add+0x6d/0xa0()
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
abrt_hash:516060314dde00e43315f114c11...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-08 16:13 EST by Fernando Dynnes
Modified: 2012-04-19 12:38 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-19 12:38:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fernando Dynnes 2012-03-08 16:13:43 EST
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        BOOT_IMAGE=/vmlinuz-3.2.9-1.fc16.x86_64 root=/dev/mapper/vg_lapthetop-lv_root ro rd.md=0 rd.dm=0 rd.lvm.lv=vg_lapthetop/lv_root LANG=pt_BR.UTF-8 rd.lvm.lv=vg_lapthetop/lv_swap quiet SYSFONT=latarcyrheb-sun16 rhgb rd.luks=0 KEYTABLE=br-abnt2
kernel:         3.2.9-1.fc16.x86_64
reason:         WARNING: at lib/list_debug.c:26 __list_add+0x6d/0xa0()
time:           Qui 08 Mar 2012 18:07:56 BRT

backtrace:
:WARNING: at lib/list_debug.c:26 __list_add+0x6d/0xa0()
:Hardware name: POSITIVO MOBILE
:list_add corruption. next->prev should be prev (ffff8801a3f38bf8), but was           (null). (next=ffff8801a3f38bf8).
:Modules linked in: tcp_lp rfcomm bnep btusb bluetooth ppdev parport_pc lp parport fuse ebtable_nat ebtables ipt_MASQUERADE iptable_nat nf_nat be2iscsi iscsi_boot_sysfs bnx2i xt_CHECKSUM cnic uio iptable_mangle bridge cxgb4i cxgb4 cxgb3i libcxgbi lockd cxgb3 mdio stp llc ib_iser rdma_cm ib_cm iw_cm ib_sa ib_mad ib_core ib_addr iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi ip6t_REJECT nf_conntrack_ipv4 nf_defrag_ipv4 nf_conntrack_ipv6 nf_defrag_ipv6 xt_state nf_conntrack ip6table_filter ip6_tables snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm snd_timer arc4 iTCO_wdt snd rtl8192ce soundcore rtl8192c_common rtlwifi snd_page_alloc microcode mac80211 cfg80211 sparse_keymap iTCO_vendor_support vhost_net macvtap macvlan tun r8169 virtio_net i2c_i801 rfkill mii serio_raw joydev kvm_intel kvm sunrpc uinput wmi i915 drm_kms_helper drm i2c_algo_bit i2c_core video [last unloaded: scsi_wait_scan]
:Pid: 5495, comm: udevd Not tainted 3.2.9-1.fc16.x86_64 #1
:Call Trace:
: [<ffffffff8106e53f>] warn_slowpath_common+0x7f/0xc0
: [<ffffffff8106e636>] warn_slowpath_fmt+0x46/0x50
: [<ffffffff812ca9bd>] __list_add+0x6d/0xa0
: [<ffffffff8118ece8>] __d_instantiate+0x58/0xe0
: [<ffffffff8118ef27>] d_instantiate+0x47/0x80
: [<ffffffff811ec473>] sysfs_lookup+0xf3/0x110
: [<ffffffff811845d5>] d_alloc_and_lookup+0x45/0x90
: [<ffffffff81190f05>] ? d_lookup+0x35/0x60
: [<ffffffff81186ba1>] do_lookup+0x2b1/0x3a0
: [<ffffffff8118792c>] path_lookupat+0x11c/0x740
: [<ffffffff81184aeb>] ? getname_flags+0x3b/0x260
: [<ffffffff812c4c47>] ? __strncpy_from_user+0x27/0x60
: [<ffffffff81187f81>] do_path_lookup+0x31/0xc0
: [<ffffffff81189329>] user_path_at_empty+0x59/0xa0
: [<ffffffff8117e882>] sys_readlinkat+0x42/0xb0
: [<ffffffff810ce552>] ? audit_syscall_entry+0x242/0x360
: [<ffffffff8117e90b>] sys_readlink+0x1b/0x20
: [<ffffffff815eaac2>] system_call_fastpath+0x16/0x1b
Comment 1 Dave Jones 2012-03-08 16:44:29 EST
had this machine been suspended / hibernated before this happened ?
Comment 2 Dave Jones 2012-03-22 12:50:03 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 3 Dave Jones 2012-03-22 12:54:23 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 4 Dave Jones 2012-03-22 13:05:03 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.

Note You need to log in before you can comment on or make changes to this bug.